package cn.com.ty.lift.common.model;

import cn.com.ty.lift.common.constants.WebSocketConstants;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2019-12-22
 * @description 实时推送消息实体类
 */
@Data
public class TimeyMessage implements Serializable {

    private static final long serialVersionUID = 4125096758372084309L;

    /**
     * 消息id
     */
    private Long id;

    /**
     * 用户id，要推送的用户id
     */
    private Long userId;

    /**
     * 推送消息内容
     */
    private String content;

    /**
     * 消息类型 1.团队消息 2.工作消息 3.保养消息 4.急修消息 5.年检消息 6.提醒(经营简报)
     */
    private Integer type;

    /**
     * 查看标识:1:已经查看, 0:未查看
     */
    private Integer viewFlag;

    /**
     * 创建者id
     */
    private Long createUserId;

    /**
     * 创建时间
     */
    private LocalDate createTime;

    /**
     * @param pushToUserId 要推送的用户id
     * @param createUserId 申请的用户id
     * @return 返回推送消息
     * @description 推送消息创建
     * @date 2020/4/30 5:13 下午
     */
    public static TimeyMessage create(long pushToUserId, long createUserId, int msgType, String content) {
        TimeyMessage timeyMessage = new TimeyMessage();
        timeyMessage.setContent(content);
        timeyMessage.setUserId(pushToUserId);
        timeyMessage.setType(msgType);
        timeyMessage.setCreateTime(LocalDate.now());
        timeyMessage.setCreateUserId(createUserId);
        timeyMessage.setViewFlag(WebSocketConstants.IS_NOT_VIEW);
        return timeyMessage;
    }

}
